# Discord

## Register OAuth2 app

Go to the Discord Developer Portal: <https://discord.com/developers/applications> and create a new Application.

![](/files/1LV1UBwqTyf4jUJiMCin)

1. Click “New Application”
2. Give it a name, accept their **Terms of Service** and click “Create”
3. Open your new application

## Basic Information

To obtain your OAuth credentials, go to OAuth2 tab:

![](/files/SiKjUo1Nk1ljZvgWgfoX)

* Client ID: shown on the “Client information” card as “Client ID”
* Client Secret: click “Reset Secret” to generate a secret and copy it

You’ll paste these into the Appmixer Backoffice later.

## OAuth2 & Redirect URL

You must add the redirect/callback URL so Discord can return users to Appmixer after authorization.

* Go to OAuth2 tab
* In “Redirects”, add your Appmixer URL. Example:

  <https://api.YOUR\\_SUBDOMAIN.appmixer.cloud/auth/discord/callback>

Note: Replace YOUR\_SUBDOMAIN with your actual Appmixer subdomain. The path “/auth/discord/callback” follows the same pattern as other Appmixer connectors.

![](/files/j5p44AlIbtvJXkfZ9c66)

## Add a Bot and get the Bot Token

To make the events (sending messages, reacting to events) be from a bot, add one:

![](/files/Tv3dfV0PzKa8xnTzDmqS)

* Click “Reset Token” to reveal the Bot Token and copy it

Keep the token secure. You’ll paste it in the Backoffice as well.

Check the settings below in **Authorization Flow**, recommended set up is:

* Public Bot: ON
* Requires OAuth2 Code Grant: ON
* Server Members Intent: ON

Rest can be turned off.

![](/files/lCC4Mn7hHeVeoo60QXCF)

## Scopes and Permissions

How you configure scopes:

* Installation → Default Install Settings:
  * User Install: applications.commands
  * Guild Install: applications.commands, bot

![](/files/m2zm6JEZefmadUSLTkDE)

## Backoffice (Appmixer admin)

Copy and paste the values into the Backoffice under the Discord connector configuration (appmixer:discord):

![](/files/ZgmLBWBoBVYJcwCnqIsI)

* clientId → "Client ID" from Discord
* clientSecret → “Client Secret” from Discord
* botToken → “Bot Token”

After saving, return to your flow in Appmixer. Click “Connect account” for the Discord connector, complete the authorization, and you’re ready to use Discord components in your flows.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appmixer.com/connector-configuration/discord.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
